Skip to main content
GET
/
api
/
v1
/
search
List searches
curl --request GET \
  --url https://developer.thehog.ai/api/v1/search \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "query": "<string>",
      "created_at": "<string>",
      "poll_url": "<string>",
      "results": [
        {
          "url": "<string>",
          "title": "<string>",
          "content": "<string>",
          "published_at": "<string>",
          "author_name": "<string>",
          "author_headline": "<string>",
          "id": "<string>",
          "platform_video_id": "<string>",
          "post_url": "<string>",
          "author_username": "<string>"
        }
      ],
      "total_results": 123,
      "error": {
        "message": "<string>",
        "retryable": true
      },
      "completed_at": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

GET /api/v1/search

List all search operations.
List all searches for your organization.

Example

curl https://developer.thehog.ai/api/v1/search?limit=5 \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Query Parameters

limit
number

Page size (max 200)

Response

Searches with pagination.

data
object[]
required
next_cursor
string | null